Odoo Help

3

Any of you run into this when you try out Odoo V9.0 ?

By
Kalmen Chia / E-Global SCM Solutions Sdn Bhd
on 10/2/15, 2:29 AM 7,408 views

Hi, 

the error message ,

2015-10-02 06:18:04,635 23669 WARNING v9e_demo1 openerp.addons.base.ir.ir_qweb: NameError: variable @odoo-sheet-vpadding is undefined in - on line 1611, column 36:

1610 margin: @odoo-horizontal-padding auto;

1611 .o-webclient-padding(@top: @odoo-sheet-vpadding, @bottom: @odoo-sheet-vpadding);

1612 .o_account_reports_level0 {

This error occured while compiling the bundle 'web.assets_backend' containing:

- /website/static/src/less/import_bootstrap.less

- /web/static/src/less/variables.less

- /web/static/src/less/enterprise_compatibility.less

- /web/static/src/less/utils.less

- /web/static/src/less/modal.less

- /web/static/src/less/notification.less

- /account/static/src/less/account_reconciliation.less

- /account/static/src/less/account_journal_dashboard.less

- /account_reports/static/src/less/account_financial_report.less

- /base_import/static/src/less/import.less

- /calendar/static/src/less/calendar.less

- /mail/static/src/less/announcement.less

- /mail/static/src/less/client_action.less

- /mail/static/src/less/chat_window.less

- /mail/static/src/less/composer.less

- /mail/static/src/less/chatter.less

- /mail/static/src/less/thread.less

- /project/static/src/less/project_dashboard.less

- /sales_team/static/src/less/sales_team_dashboard.less

- /web_tip/static/src/less/tip.less

- /web_calendar/static/src/less/web_calendar.less

- /web_diagram/static/src/less/diagram_view.less

- /web_gantt/static/src/css/gantt.less

- /web_kanban/static/src/less/kanban_dashboard.less

- /web_kanban/static/src/less/kanban_view.less

- /web_settings_dashboard/static/src/less/dashboard.less


Thanks,

Kalmen


I have Same Error.IN Browser odoo View not Proper Showing.

HappyOdoo
on 10/2/15, 2:54 AM

Please use a meaningful title for your question.

Ermin Trevisan
on 10/3/15, 6:43 AM

Odoo 9 is hell, lots same issue facing with 9.0 community edition, for us only 8.0 stable working fine. Also we face many lib issues, looking for same.

Zahin
on 10/30/15, 2:41 PM
3
Akhil P Sivan
On 10/2/15, 4:01 AM

Hi,

Have you installed all the required libraries? Odoo 9 is depends on node-less.

Please install it by the following command:

sudp apt-get install python-pip python-dev libevent-dev gcc libxml2-dev libxslt-dev node-less libldap2-dev libssl-dev

Also please make sure you have installed all the python libraries mentioned here:

https://github.com/odoo/odoo/blob/9.0/requirements.txt 

if the above didn't work for you, try this command:

npm install -g less-plugin-clean-css

Hope this helps.

Please Update this:

sudo apt-get install python-pip python-dev libevent-dev gcc libxml2-dev libxslt-dev node-less libldap2-dev libssl-dev

SUDO instead of SUDP

Chandni
on 10/11/16, 7:21 AM
2
Mateo Tibaquira
On 10/16/15, 3:42 PM

I figured out that Enterprise addons have to be before the Community addons in the addons_path config, or the community web module is installed instead the enterprise one, producing this error.

Now my odoo.conf looks like:

addons_path = /.../.local/data/addons/9.0,/odoo/openerp/addons,/odoo/enterprise,/odoo/addons,/odoo/my_addon

Your answer did the job for me. Thanks

Justin Lessard
on 10/30/15, 1:56 PM
1
TS
On 10/2/15, 3:57 AM

try this please, not sure but saw it in the meantime, looks similar - maybe will help you.


https://www.odoo.com/forum/help-1/question/solved-odoo-9-which-lib-is-missing-to-resolve-this-error-91050


regards

Tomasz

 

0
Axel Mendoza
On 10/17/15, 9:27 PM

See how to solve it here:

https://www.odoo.com/forum/help-1/question/what-does-this-error-mean-on-odoo-could-not-execute-command-lessc-60439#answer_91689

0
Manu Miu
On 10/2/15, 3:04 AM

It's the same for me.

This is my error message:

2015-10-02 09:12:43,927 1719 INFO odoo openerp.addons.base.ir.ir_autovacuum: GC'd 0 user log entries

2015-10-02 09:12:44,480 1719 WARNING odoo openerp.addons.base.ir.ir_qweb: TypeError: invalid data
at Socket.write (net.js:615:11)
at /usr/lib/node_modules/less/bin/lessc:388:40
at Object.finish [as _finish] (/usr/lib/node_modules/less/parser.js:669:28)
at Object.tree.importVisitor.run (/usr/lib/node_modules/less/import-visitor.js:34:22)
at Object.Parser.parser.parse (/usr/lib/node_modules/less/parser.js:675:22)
at parseLessFile (/usr/lib/node_modules/less/bin/lessc:347:12)
at Socket.<anonymous> (/usr/lib/node_modules/less/bin/lessc:412:9)
at Socket.emit (events.js:117:20)
at _stream_readable.js:944:16
at process._tickCallback (node.js:442:13)
This error occured while compiling the bundle 'web.assets_common' containing:
- /web/static/src/less/mimetypes.less
- /web/static/src/less/animation.less
- /web_planner/static/src/less/web_planner_common.less
- /web_editor/static/src/less/web_editor.less
2015-10-02 09:12:46,688 1719 WARNING odoo openerp.addons.base.ir.ir_qweb: TypeError: invalid data
at Socket.write (net.js:615:11)
at /usr/lib/node_modules/less/bin/lessc:388:40
at Object.finish [as _finish] (/usr/lib/node_modules/less/parser.js:669:28)
at Object.subFinish [as _finish] (/usr/lib/node_modules/less/import-visitor.js:87:47)
at Object.subFinish [as _finish] (/usr/lib/node_modules/less/import-visitor.js:87:47)
at Object.subFinish [as _finish] (/usr/lib/node_modules/less/import-visitor.js:87:47)
at Object.tree.importVisitor.run (/usr/lib/node_modules/less/import-visitor.js:34:22)
at /usr/lib/node_modules/less/import-visitor.js:98:38
at fileParsedFunc (/usr/lib/node_modules/less/parser.js:82:17)
at /usr/lib/node_modules/less/parser.js:105:29
This error occured while compiling the bundle 'web.assets_backend' containing:
- /website/static/src/less/import_bootstrap.less
- /web/static/src/less/variables.less
- /web/static/src/less/enterprise_compatibility.less
- /web/static/src/less/utils.less
- /web/static/src/less/modal.less
- /web/static/src/less/notification.less
- /base_import/static/src/less/import.less
- /web_tip/static/src/less/tip.less
- /web_calendar/static/src/less/web_calendar.less
- /web_diagram/static/src/less/diagram_view.less
- /web_kanban/static/src/less/kanban_dashboard.less
- /web_kanban/static/src/less/kanban_view.less
- /web_settings_dashboard/static/src/less/dashboard.less

On Github there's an issue concerning this: https://github.com/odoo/odoo/issues/8617

And a gist: https://gist.github.com/ovnicraft/96ec0aea574150c28b2a


The solution provided by Akhil P Sivan (which others also recommend) to install:

less-plugin-clean-css
node-clean-css
node-less 
etc.

Nothing solved this issue for me.

I installed the latest odoo v9 nightly rpm on Fedora 22.

ok, you have installed node-less library right? Now try after installing the Blogs module or Website module in your database

Akhil P Sivan
on 10/5/15, 8:16 AM

Thanks for your answer! Yes, I did. I installed both modules independently, but nothing solved the issue. I would like to use a docker container to get it up and running, but the official docker repository is odoo v8. Hope they'll update the docker repo soon. Do you think, Fedora could be a reason for that problem?

Manu Miu
on 10/5/15, 9:06 AM

Yes, I think so.

Akhil P Sivan
on 10/5/15, 2:12 PM

Thanks for your help Akhil, with the docker image I got it working. Really happy about that! ;-)

Manu Miu
on 10/12/15, 6:46 PM

About This Community

This platform is for beginners and experts willing to share their Odoo knowledge. It's not a forum to discuss ideas, but a knowledge base of questions and their answers.

Register

Odoo Training Center

Access to our E-learning platform and experience all Odoo Apps through learning videos, exercises and Quizz.

Test it now

Question tools

5 follower(s)

Stats

Asked: 10/2/15, 2:29 AM
Seen: 7408 times
Last updated: 4/2/16, 11:02 AM